%global revcount 116
%global commit beed7724d9f0899e4920a7d4b042cf6590d2bbfb
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           fus
Version:        0+git.%{revcount}.%{shortcommit}
Release:        1%{?dist}
Summary:        Funny Solver

License:        GPLv3+
URL:            https://github.com/fedora-modularity/fus
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.tar.gz
Patch0:         0001-Use-C99-by-default.patch
Patch1:         https://patch-diff.githubusercontent.com/raw/fedora-modularity/fus/pull/72.patch

# No libmodulemd on these arches
ExcludeArch:    i686 ppc ppc64 s390

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libsolv) >= 0.6.34
BuildRequires:  pkgconfig(libsolvext) >= 0.6.34
BuildRequires:  pkgconfig(modulemd-2.0) >= 2.0
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.4

# Without this the build in eng-rhel-7-rh-python36 is failing...
# These macros are used in meson macro
%{!?_vpath_srcdir: %global _vpath_srcdir .}
%{!?_vpath_builddir: %global _vpath_builddir %_target_platform}

%description
%{summary}.

%prep
%autosetup -n %{name}-%{commit} -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/fus

%changelog
* Tue Feb 02 2021 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.116.beed772-1
- Rebase to latest master

* Thu Jul 16 2020 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.112.14171c3-2
- Ignore weak dependencies

* Tue Jan 28 2020 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.112.14171c3-1
- Rebase to latest master

* Mon Dec 02 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.107.9cb602f-5
- Rebuild for newer libsoup

* Wed Nov 27 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.107.9cb602f-4
- Allow wildcards in exclude patterns

* Thu Sep 26 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.107.9cb602f-3
- Rebuild against libmodulemd2

* Fri Sep 20 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.107.9cb602f-2
- Fix segfault

* Tue Sep 17 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.107.9cb602f-1
- Rebase to latest master
- Use libmodulemd 2

* Wed Aug 14 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.89.a330cc6-5
- cache: Don't use checksum as filename

* Tue Jul 09 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.89.a330cc6-4
- Fix loading local repositories

* Mon Jul 08 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.89.a330cc6-3
- Revert patch for downloading from HTTP

* Wed May 22 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.89.a330cc6-2
- Allow retrieving repodata over HTTP

* Fri Oct 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.89.a330cc6-1
- New git snapshot
- Drop patches as they were merged upstream
- Revert update to new libmodulemd (which caused segfaults)

* Fri Oct 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.59.b59ec94-1
- New git snapshot
- Drop patch as reworked and merged into PR#47

* Mon Oct 22 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.54.0afe286-3
- Make wildcards match bare packages only

* Mon Oct 15 2018 Lubomír Sedlář <lsedlar@redhat.com>
- Refresh patches to include more fixes

* Fri Oct 12 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.54.0afe286-2
- New git snapshot
- Add patch to correctly select input packages

* Fri Oct 5 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.46.8ce1358-1
- New git snapshot
- Update patches to mask bare RPMs

* Thu Sep 20 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.38.1cc1d4c-1
- New git snapshot
- Refresh patches to mask bare RPMs

* Thu Sep 13 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.36.fb25ab2-1
- New git snapshot
- Add patches to mask bare RPMs
- Load filelists lazily

* Mon Aug 13 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.35.d97ca64-1
- New git snapshot

* Mon Aug 13 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.33.39180b3-1
- New git snapshot

* Mon Aug 13 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0+git.30.6ff739b-2
- Compile with optimizations

* Mon Jul 30 2018 Igor Gnatenko <ignatenko@redhat.com> - 0+git.30.6ff739b-1
- Initial package
